Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::SocketException Struct Reference

Socket Error. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::SocketException:
[legend]
Collaboration diagram for FIX::SocketException:
[legend]

List of all members.

## Public Member Functions

| SocketException ()
| SocketException (const std::string &what)
std::string | errorToWhat ()

## Public Attributes

int | error

## Detailed Description

Socket Error.

Definition at line 245 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::SocketException::SocketException | ( |  | ) | `[inline]`

Definition at line 247 of file Exceptions.h.

    00248     : Exception( "Socket Error", errorToWhat() ) {}

FIX::SocketException::SocketException | ( | const std::string & | what | ) | `[inline]`

Definition at line 250 of file Exceptions.h.

    00251     : Exception( "Socket Error", what ) {}

## Member Function Documentation

std::string FIX::SocketException::errorToWhat | ( |  | ) | `[inline]`

Definition at line 253 of file Exceptions.h.

References error.

    00254   {
    00255 #ifdef _MSC_VER
    00256     error = WSAGetLastError();
    00257     char buffer[2048];
    00258     FormatMessage( FORMAT_MESSAGE_FROM_SYSTEM, NULL, error,
    00259                    MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
    00260                    buffer, 2048, NULL );
    00261     return buffer;
    00262 #else
    00263     error = errno;
    00264     return strerror( error );
    00265 #endif
    00266   }

## Member Data Documentation

int FIX::SocketException::error

Definition at line 268 of file Exceptions.h.

Referenced by errorToWhat().

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h